Bug 67036 - [RFE] in Disk Druid, Size field should really be paired with "Fixed Size" option
Summary: [RFE] in Disk Druid, Size field should really be paired with "Fixed Size" option
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-19 16:47 UTC by James Manning
Modified: 2007-04-18 16:43 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 22:20:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Manning 2002-06-19 16:47:19 UTC
summary kinda says it all.

The annoying case is if you put in a size greater than the dialog value for
"Fill all space up to", then you get an error.  For instance, if you put in
700MB for the Size field and the "Fill all space up to" dialog is set to 600MB
(note, only 500MB avail on the disk) your error is "the size of the requested
partition (size=700MB) exceeds the maximum size of 600MB."

IMHO, the Size field only really makes sense if "Fixed Size" is the selected
option, so I'd rather see the Size field made the dialog for that option rather
than its own separate dialog.

Comment 1 Michael Fulbright 2002-06-19 19:57:11 UTC
The Size field is the starting point for any growing allocations as well, so
this wouldn't make sense in the current UI.

In a future release we could make this clearer cause it seems to confuse people.

Comment 2 James Manning 2002-06-21 15:41:13 UTC
could a simple change for this release be to change the label to something like
"Starting Size" or something along those lines?  Now that you've explained it, I
better understand the dynamic.

Optionally, if you don't wanna change the labels, just let me know and I'll
switch this to anaconda-help and see if maybe we can get the online help to
better explain the dynamic?

I totally agree with something of a re-work for future releases, but I'm also
hoping we can get something in the way of better explanation of the current
situation out to the user :)

just a thought - by no means critical obviously, just trying to help make things
more idiot-proof as the world keeps inventing better idiots ;)

Comment 3 Jeremy Katz 2004-10-05 02:39:55 UTC
There are better callbacks in place now to make this act saner.


Note You need to log in before you can comment on or make changes to this bug.